<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class KycDocument extends Model
{
    use HasFactory;

    protected $fillable = [
        'seller_id',
        'document_type',
        'file_path',
        'status',
        'rejection_reason',
    ];

    public function seller()
    {
        return $this->belongsTo(Seller::class);
    }

    public function activityLogs()
    {
        return $this->hasMany(KycActivityLog::class);
    }
}
